Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609832 - system-config-users crashes or freezes if large number entered to uid and gid
system-config-users crashes or freezes if large number entered to uid and gid
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-users (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Nils Philippsen
Miroslav Vadkerti
:
Depends On: 610838
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 05:20 EDT by Miroslav Vadkerti
Modified: 2010-11-10 16:44 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-users-1.2.100-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 610172 610838 616067 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:44:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2010-07-01 05:20:26 EDT
Description of problem:
When I enter a large number for UID when creating users (example 4294967296 - which is the maximum number by gui) s-c-users crashes. 

When creating a group with very large GID s-c-users freezes.

** ERROR **: lu_value_get_id(): value 4294967296 out of range
aborting...
/usr/share/system-config-users/system-config-users: line 4: 12766 Aborted                 (core dumped) /usr/bin/python2 /usr/share/system-config-users/system-config-users.py


Version-Release number of selected component (if applicable):
system-config-users-1.2.94-1.1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. launch s-c-users + enter root passwd
2. add user
3. add user name, password and select own UID as 4294967296
  
Actual results:
Crash

Expected results:
Error msg
Comment 18 Miroslav Vadkerti 2010-08-04 09:40:18 EDT
VERIFIED as fixed in system-config-users-1.2.100-2.el6:
Maximal value accepted by s-c-users is now 4294967294
Comment 19 releng-rhel@redhat.com 2010-11-10 16:44:06 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.